Fix new tests to be better. In particular, fix webraw test to
specify a date on commit to be less brittle, and fix test-oldcgi to test
fetching a subdirectory of a webdir instance.
--- a/tests/test-oldcgi Thu Jun 29 19:06:18 2006 -0700
+++ b/tests/test-oldcgi Fri Jun 30 08:45:52 2006 -0700
@@ -93,5 +93,11 @@
declare -x SERVER_SOFTWARE="Apache/2.0.53 (Fedora)"
./hgweb.cgi >page1 2>&1 ; echo $?
./hgwebdir.cgi >page2 2>&1 ; echo $?
-fgrep -i error page1 page2 && exit 1
+PATH_INFO="/test/"
+PATH_TRANSLATED="/var/something/test.cgi"
+REQUEST_URI="/test/test/"
+SCRIPT_URI="http://hg.omnifarious.org/test/test/"
+SCRIPT_URL="/test/test/"
+./hgwebdir.cgi >page3 2>&1 ; echo $?
+fgrep -i error page1 page2 page3 && exit 1
exit 0
--- a/tests/test-oldcgi.out Thu Jun 29 19:06:18 2006 -0700
+++ b/tests/test-oldcgi.out Fri Jun 30 08:45:52 2006 -0700
@@ -1,2 +1,3 @@
0
0
+0
--- a/tests/test-webraw Thu Jun 29 19:06:18 2006 -0700
+++ b/tests/test-webraw Fri Jun 30 08:45:52 2006 -0700
@@ -9,7 +9,7 @@
care about things like that.
ENDSOME
hg add sometext.txt
-hg commit -m "Just some text"
+hg commit -d "1 0" -m "Just some text"
hg serve -p 20059 -A access.log -E error.log -d --pid-file=hg.pid
("$TESTDIR/get-with-headers.py" localhost:20059 '/?f=f165dc289438;file=sometext.txt;style=raw' content-type content-length content-disposition) >getoutput.txt &